%define name	libopensync-plugin-irmc
%define version	0.22
%define release %mkrel 2

Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Summary:        IrMC Synchronization Plug-In for OpenSync
License:	LGPL
Group:		Office
URL:		http://www.opensync.org
Source:		svn://svn.opensync.org/plugins/sunbird/%{name}-%{version}.tar.bz2
BuildRequires:  libopensync-devel
BuildRequires:  openobex-devel
BuildRequires:  libbluez3
BuildRoot:      %{_tmppath}/%{name}-%{version}
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %name < %version

%description
This plug-in allows applications using OpenSync to synchronize to and
from cell phones with IrMC support (such as Sony Ericsson K750i,
Siemens S55).

Additionally install the libopensync package.

%prep
%setup -q
autoreconf -sfi

%build
%configure2_5x
make

%install
rm -rf %{buildroot}
%makeinstall_std
# only needed for development, and currently there's no package needing it.
rm $RPM_BUILD_ROOT/%{_libdir}/opensync/plugins/irmc_sync.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/opensync/plugins/irmc_sync.so
%{_datadir}/opensync/defaults/irmc-sync
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README

%changelog
* Tue Jan 05 2010 Texstar <texstar at gmail.com> 0.22-3pclos2010
- rebuild for bluez3

* Fri Sep 25 2009 Texstar <texstar at gmail.com> 0.22-2pclos2009
- 0.22

* Tue May 01 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.22-1
- Initial build for pclos2007
